APM은 여러가지 패키지가 같이 있어서 한개의 패키지가 기존의 설치된 패키지에 반해 버전이 낮거

나 높으면 연동이 제대로 안되는 경우가 많은데 PHP나 ZendOptimizer는 앞자리 버전이 바뀌지 않는

이상은 디렉토리 구조도 많이 바뀌지 않고 손쉽게 업그레이드를 할수있다.

일단 PHP 최근버전을 아래의 링크에서 다운로드 받는다. 혹은 따로 http://php.net 에서 받을수도

있다. (아파치 서버 2.x 버전 필요)

PHP 5.2.3 ZIP package 다운로드

압축을 풀어서 전체 내용을 기존의 PHP가 설치된 디렉토리에 복사한다. 이때 주의할점은 서버를

잠시 꺼두어야 된다. 읽어들이고 있는 파일이 있다면 복사가 안되는 경우가 생긴다.

혹시모를 오류를 대비해서 기존에 설치된 PHP는 따로 백업해둔다.

이제 php5apache.dll, php5apache2.dll, php5apache_hooks.dll, php5ts.dll 이파일

들을 windows\system32 디렉토리에 복사한다. 이파일들은 PHP를 설치한 디렉토리에 있다.

이것으로 업그레이드가 끝난다. PHP를 5.1.x 버전에서 5.2.x 버전으로 업그레이드 했을경우 Zend

Optimizer가 작동을 하지 않을수 있다. Zend Optimizer의 업그레이드 방법은

http://xens.dnip.net/104
 이곳에서 확인하도록 한다. 설치가 모두 끝나고나면 PHPinfo 로

확인해본다.

사용자 삽입 이미지

잘 적용된것을 확인할수 있다.